#21 Screen garbled in Contra Hard Corps, RPI

Current
open-accepted
None
5
2013-12-13
2013-07-19
No

The screen background gets messed up shortly after the actual gameplay starts: the background remains unchanged throughout the level, although sprites are rendered properly. Changing the CPU to Musa or Cyclone has no effect.
Not sure whether the bug is exclusive to RPI, will check on Win soon.

Related

Bugs: #21

Discussion

  • Victor Luchits

    Victor Luchits - 2013-07-22

    On windows I'm unable to load even the game, the loader says "contra.smd: no valid ROM found." Go figure..

     
    • A. Normal

      A. Normal - 2013-12-13

      Strange, this problem usually occurs with zipped ROMs because people forget to install libarchive and zlib first. Are you sure contra.smd isn't actually a zipped file? If not, please attach your config.log and a link to a ROM I can test. Thanks!

       
      • A. Normal

        A. Normal - 2013-12-13

        I overlooked the fact you were running DGen/SDL in Windows, which should support archived ROMs, unless you aren't using the binaries provided here?

        Anyway, a link to the bad ROM should help me debug this.

         
        • Victor Luchits

          Victor Luchits - 2013-12-14

          Hello,

          do you still need the ROM or have you figured it out?

          2013/12/13 A. Normal zamaz@users.sf.net

          I overlooked the fact you were running DGen/SDL in Windows, which should
          support archived ROMs, unless you aren't using the binaries provided here?

          Status: open-accepted
          Created: Fri Jul 19, 2013 04:16 PM UTC by Victor Luchits
          Last Updated: Fri Dec 13, 2013 12:00 AM UTC
          Owner: A. Normal

          The screen background gets messed up shortly after the actual gameplay
          starts: the background remains unchanged throughout the level, although
          sprites are rendered properly. Changing the CPU to Musa or Cyclone has no
          effect.
          Not sure whether the bug is exclusive to RPI, will check on Win soon.


          Sent from sourceforge.net because you indicated interest in
          https://sourceforge.net/p/dgen/bugs/21/

          To unsubscribe from further messages, please visit
          https://sourceforge.net/auth/subscriptions/

          --
          Best regards,
          Victor Luchitz

           

          Related

          Bugs: #21

          • A. Normal

            A. Normal - 2013-12-14

            The ROM I got runs fine in DGen/SDL for W32 (except for that background issue), so yeah if it's unable to load yours I'd like to try it, maybe you have a different version.

            Thanks.

             
            • Victor Luchits

              Victor Luchits - 2013-12-14

              Well, the background issue you mention is the one I originally submitted so
              I guess there's no need for another ROM :)

              2013/12/14 A. Normal zamaz@users.sf.net

              The ROM I got runs fine in DGen/SDL for W32 (except for that background
              issue), so yeah if it's unable to load yours I'd like to try it, maybe you
              have a different version.

              Thanks.

              Status: open-accepted
              Created: Fri Jul 19, 2013 04:16 PM UTC by Victor Luchits
              Last Updated: Fri Dec 13, 2013 12:00 AM UTC
              Owner: A. Normal

              The screen background gets messed up shortly after the actual gameplay
              starts: the background remains unchanged throughout the level, although
              sprites are rendered properly. Changing the CPU to Musa or Cyclone has no
              effect.
              Not sure whether the bug is exclusive to RPI, will check on Win soon.


              Sent from sourceforge.net because you indicated interest in
              https://sourceforge.net/p/dgen/bugs/21/

              To unsubscribe from further messages, please visit
              https://sourceforge.net/auth/subscriptions/

              --
              Best regards,
              Victor Luchitz

               
  • A. Normal

    A. Normal - 2013-12-13

    Sorry for the delay. Tested, bug confirmed. Probably another VDP emulation bug, so it will show up on any platform (RPI included).

     
  • A. Normal

    A. Normal - 2013-12-13
    • status: unread --> open-accepted
    • assigned_to: A. Normal
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks